<?php
	/*session_start();
	if(!$_SESSION['user'])
	{
		header("Location: login.php");
	}
	
	if($_POST['album'] == "crear")
	{
		if(!empty($_POST['nombre_album_crear']))
		{*/
			require_once 'conf/link.php';
			
				if(isset($_FILES['video']))
				{
					//echo '<br>Var definida';
					$valid_formats = array("mpeg", "mpg", "wmv", "avi", "mp4");
					$path = "almacen/";

					$tot = count($_FILES['video']['name']);

					$fallo = 0;
					$exito = 0;
					for ($i = 0; $i < $tot; $i++)
					{		
						$nombre = $_FILES['video']['name'][$i];
						$temp   = $_FILES['video']['tmp_name'][$i];
						
						$array= explode(".", $nombre);
						$elem = count($array)-1;
						$nombre = $array[0];
						$ext = $array[$elem];
						if(in_array($ext,$valid_formats))
						{
							//echo '<br>Formato Valido';
						// subir imagen al servidor
							$fecha = date("YmdHis");
							$nombre_video = $nombre."_".$fecha.".".$ext;
							$name_video = $nombre."_".$fecha;
							$subfecha = substr($fecha, 0, 8);
							//echo "----".$nombre_imagen;
							//echo '<br>'.$temp.'-'.$path.$nombre_video.'<br>';
							//print_r($_FILES['video']);
							//if(move_uploaded_file($temp, $path.$nombre_video))
							if(move_uploaded_file($temp, $path.$nombre_video))
							{
								//echo '<br>'.$nombre;
								//echo '<br>'.$temp;
								//echo 'video subido en temp';
								//exec("ffmpeg -i ".$path.$nombre_video." -qscale 0 -y ".$path.$name_video.".flv", &$salida, &$retorno);
								//exec("ffmpeg -i ".$path.$name_video.".flv -t 05 -ss 05 -vframes 1 -y ".$path.$name_video.".jpg", &$salida, &$retorno);
								if($ext != 'mp4')	{
									//echo 'ffmpeg -i "'.$path.$nombre_video.'" -qscale 0 -y "'.$path.$name_video.'.mp4"', $salida, $retorno;
									exec('ffmpeg -i "'.$path.$nombre_video.'" -qscale 0 -y "'.$path.$name_video.'.mp4"', $salida, $retorno);
									unlink($path.$nombre_video);
								}
								else	{
									$name_video = $nombre."_".$fecha;
									echo "<br>".$name_video;
								}
								exec('ffmpeg -i "'.$path.$name_video.'.mp4" -t 05 -ss 05 -vframes 1 -y "'.$path.$name_video.'.jpg"', $salida, $retorno);
								//echo 'video transformado';
								//echo '<br>'.$path.$nombre_video;
								
								
								$video_width = exec('ffprobe -v error -select_streams v:0 -show_entries stream=width -of csv=s=x:p=0 "'.$path.$name_video.'.mp4"');
								$video_height = exec('ffprobe -v error -select_streams v:0 -show_entries stream=height -of csv=s=x:p=0 "'.$path.$name_video.'.mp4"');
								echo $video_width.'x'.$video_height;
								$video_lenght = exec('ffprobe -v error -show_entries format=duration -of default=noprint_wrappers=1:nokey=1 "'.$path.$name_video.'.mp4"');
								$video_lenght = round($video_lenght, 0);
								echo '<br>'.$video_lenght;
								//$size = round((filesize($path.$name_video.'.mp4')/1048576), 2);
								$size = round((filesize($path.$name_video.'.mp4')/1024), 0);
								echo '<br>'.$size;
								/*$md5 = md5_file($path.$nombre_video);*/
								$sql  = "INSERT INTO almacen ( filename, size, video_width, video_height, video_lenght, thumbnail, user, date) ";
								$sql .= "VALUES ( '".$name_video.".mp4', $size, $video_width, $video_height, $video_lenght, '".$name_video.".jpg', 'admin', $fecha)";
								echo '<br>'.$sql;
								$result = mysqli_query($conexion, $sql);
								if ($result)
								{
									//$exito++;
									echo "Exito";
								}
								else
								{
									//$fallo++;
									echo "Falla al agregar a db";
									echo "<br>Error : ".mysqli_connect_error();
								}
							}
							else
							{
								echo "<br>-Fallo al mover";/*$fallo++;*/
							}					
						}
						else
						{
							echo "Error Extension : ".$nombre;/*$fallo++;*/
						}
					}
					/*if($fallo != 0)
					{
						header("refresh:3; url=hdnews.php?nav=Z2FsZXJpYWhkX3N1Ymly");
						echo "<br>Se ha creado el album con errores...<br>".$fallo." imagenes no han podido agregarse!!!";
					}
					else
					{
						header("refresh:3; url=hdnews.php?nav=Z2FsZXJpYWhkX3N1Ymly");
						echo "<br>Se ha creado el album correctamente...";
					}*/
				}
				else
				{
					echo "FILES vacia";
					var_dump($_FILES['video']['name']);
					/*header("refresh:3; url=hdnews.php?nav=Z2FsZXJpYWhkX3N1Ymly");
					echo "<br>No se ha seleccionado el archivo o el destino";*/
				}

	
?>